Bug 166732 - 'split'/'index' problem for utf8
'split'/'index' problem for utf8
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
http://rt.perl.org/rt3/Ticket/Display...
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-08-24 19:49 EDT by Jason Gallagher
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-881
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:59:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Gallagher 2005-08-24 19:49:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.7.10-1.1.3.1

Description of problem:
This is a known Perl bug (see URL above), fixed in 5.8.1.

Version-Release number of selected component (if applicable):
perl-5.8.0-89.10

How reproducible:
Always

Steps to Reproduce:
1. perl -MConfig -we 'print $Config{libc}, "\n", $Config{lib_ext},"\n"'
2.
3.
  

Actual Results:  output is:
/lib/libc-2.3.2.so
.a'
libc='


Expected Results:  output should be:
/lib/libc-2.3.2.so
.a



Additional info:

The test above is run with env var LANG=en_GB.UTF-8. If one does:

LANG=C perl -MConfig -we 'print $Config{libc}, "\n", $Config{lib_ext},"\n"'

the expected output is produced.
Comment 1 Jason Gallagher 2005-08-24 19:52:53 EDT
Use login=guest, password=guest for access to the given URL.
Comment 2 Jason Vas Dias 2005-11-01 13:09:37 EST
This bug is now fixed with perl-5.8.0-90.2 .
Comment 6 Red Hat Bugzilla 2005-12-20 09:59:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-881.html

Note You need to log in before you can comment on or make changes to this bug.